import { s as inject } from './index-B_buVPU_.js';

const LoggerInjectionKey = Symbol('Logger');
function injectRequired(key) {
    const value = inject(key);
    if (!value) {
        throw new Error(`Missing context for ${key.description}`);
    }
    return value;
}

export { LoggerInjectionKey as L, injectRequired as i };
